Package com.sas.lsaf

## Class LsafClient

- java.lang.Object
- - com.sas.lsaf.LsafClient

-     public class LsafClient
      extends java.lang.Object

  This is the simplest and easiest entry point into the SAS Life Science Analytics Framework Java API.

  `LsafClient` allows a static logon and static access to services. Use the `logon(String, String, byte[])` method to authenticate and immediately access services like the RepositoryService. Use of the LsafClient is based on a single user and a single session. Subsequent calls to `logon` will logoff the current user and establish a new session.

  If you have not successfully called a `logon` method prior to accessing a service, an `IllegalStateException` will be thrown.

  Alternatively, you can log on using `SessionFactory.logon(URL,String, byte[])` which will create and return a `ClientSession` from which you can access services and manage the session. In this case, each logon call will create a new session.

  Use the `logoff()` to log off of the system and invalidate the current session.

  Since:
    2.1

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LsafClient()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AclService` | `getAclService()` | Gets the AclService to access using the current session
    `static ApplicationInformationService` | `getApplicationInformationService()` | Gets the ApplicationInformationService to access using the current session
    `static AuditQueryService` | `getAuditQueryService()` | Gets the AuditQueryService to access using the current session
    `static AuditService` | `getAuditService()` | Gets the AuditService to access using the current session
    `static AutoFlowService` | `getAutoFlowService()` | Gets the AutoFlowService to access using the current session
    `static BatchRepositoryService` | `getBatchRepositoryService()` | Gets the BatchRepositoryService to access using the current session
    `static BatchWorkspaceService` | `getBatchWorkspaceService()` | Gets the BatchWorkspaceService to access using the current session
    `static DictionaryService` | `getDictionaryService()` | Gets the DictionaryService to access using the current session
    `static ExternalDictionaryService` | `getExternalDictionaryService()` | Gets the ExternalDictionaryService to access using the current session
    `static GlobalPrivilegeService` | `getGlobalPrivilegeService()` | Gets the GlobalPrivilegeService to access using the current session
    `static GroupService` | `getGroupService()` | Gets the GroupService to access using the current session
    `static JobService` | `getJobService()` | Gets the JobService to access using the current session
    `static JobSubmissionService` | `getJobSubmissionService()` | Gets the JobSubmissionService to access using the current session
    `static ContextMembershipQueryService` | `getMembershipQueryService()` | Gets the MembershipQueryService to access using the current session
    `static MembershipService` | `getMembershipService()` | Gets the MembershipService to access using the current session
    `static ModelService` | `getModelService()` | Gets the ModelService to access using the current session
    `static PermissionsQueryService` | `getPermissionsQueryService()` | Gets the PermissionsQueryService to access using the current session
    `static ProcessDefinitionService` | `getProcessDefinitionService()` | Gets the ProcessFlowService to access using the current session
    `static ProcessFlowService` | `getProcessFlowService()` | Gets the ProcessFlowService to access using the current session
    `static ProcessFlowSetupService` | `getProcessFlowSetupService()` | Gets the ProcessFlowSetupService to access using the current session
    `static RecycleBinQueryService` | `getRecycleBinQueryService()` | Gets the RecycleBinQueryService to access using the current session
    `static RecycleBinService` | `getRecycleBinService()` | Gets the RecycleBinService to access using the current session
    `static RepositoryQueryService` | `getRepositoryQueryService()` | Gets the RepositoryQueryService to access using the current session
    `static RepositoryService` | `getRepositoryService()` | Gets the RepositoryService to access using the current session
    `static ResourceUtilizationService` | `getResourceUtilizationService()` | Gets the ResourceUtilizationService to access using the current session
    `static RoleService` | `getRoleService()` | Gets the RoleService to access using the current session
    `static ScheduleService` | `getScheduleService()` | Gets the SubscriptionService to access using the current session
    `static ScopedPrivilegeService` | `getScopedPrivilegeService()` | Gets the ScopedPrivilegeService to access using the current session
    `static SessionService` | `getSessionService()` | Gets the SessionService to access using the current session
    `static SharedWorkspaceService` | `getSharedWorkspaceService()` | Gets the SharedWorkspaceService to access using the current session
    `static SignatureService` | `getSignatureService()` | Gets the SignatureService to access using the current session
    `static StandardsService` | `getStandardsService()` | Gets the StandardsService to access using the current session
    `static StudyService` | `getStudyService()` | Gets the StudyService to access using the current session
    `static StudyTlfService` | `getStudyTlfService()` | Gets the StudyTlfService to access using the current session
    `static SubscriptionService` | `getSubscriptionService()` | Gets the SubscriptionService to access using the current session
    `static TaskService` | `getTaskService()` | Gets the TaskService to access using the current session
    `static TlfTemplateService` | `getTlfTemplateService()` | Gets the TlfTemplateService to access using the current session
    `static TypeService` | `getTypeService()` | Gets the TypeService to access using the current session
    `static UserService` | `getUserService()` | Gets the UserService to access using the current session
    `static WorkspaceService` | `getWorkspaceService()` | Gets the WorkspaceService to access using the current session
    `static void` | `logoff()` | Logs off the current session of the instance if one exists
    `static void` | `logon​(java.lang.String url, java.lang.String userId, byte[] password)` | Logs on to the specified SAS Life Science Analytics Framework instance to establish an authenticated session in order to access services.
    `static void` | `logon​(java.lang.String url, java.lang.String userId, byte[] password, ProxyInfo proxyInfo)` | Logs on to the specified SAS Life Science Analytics Framework instance going through the specified proxy to establish an authenticated session in order to access services.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LsafClient

          public LsafClient()

  - ### Method Detail

    - #### logon

          public static void logon​(java.lang.String url,
                                   java.lang.String userId,
                                   byte[] password)
                            throws LogonException

      Logs on to the specified SAS Life Science Analytics Framework instance to establish an authenticated session in order to access services. Any prior successful logon via this method will be logged out.
      Parameters:
        `url` - url string of machine hosting the SAS Life Science Analytics Framework instance
        `userId` - userid of the user who is logging in
        `password` - password of the user who is logging in
      Throws:
        `LogonException` - thrown if there was an error logging in

    - #### logon

          public static void logon​(java.lang.String url,
                                   java.lang.String userId,
                                   byte[] password,
                                   ProxyInfo proxyInfo)
                            throws LogonException

      Logs on to the specified SAS Life Science Analytics Framework instance going through the specified proxy to establish an authenticated session in order to access services. Any prior successful logon via this method will be logged out.
      Parameters:
        `url` - url string of machine hosting the SAS Life Science Analytics Framework instance
        `userId` - userid of the user who is logging in
        `password` - password of the user who is logging in
        `proxyInfo` - proxy information required to access the url
      Throws:
        `LogonException` - thrown if there was an error logging in

    - #### logoff

          public static void logoff()

      Logs off the current session of the instance if one exists

    - #### getApplicationInformationService

          public static ApplicationInformationService getApplicationInformationService()

      Gets the ApplicationInformationService to access using the current session
      Returns:
        the ApplicationInformationService for the current session

    - #### getAuditService

          public static AuditService getAuditService()

      Gets the AuditService to access using the current session
      Returns:
        the AuditService for the current session

    - #### getGlobalPrivilegeService

          public static GlobalPrivilegeService getGlobalPrivilegeService()

      Gets the GlobalPrivilegeService to access using the current session
      Returns:
        the GlobalPrivilegeService for the current session

    - #### getGroupService

          public static GroupService getGroupService()

      Gets the GroupService to access using the current session
      Returns:
        the GroupService for the current session

    - #### getMembershipService

          public static MembershipService getMembershipService()

      Gets the MembershipService to access using the current session
      Returns:
        the MembershipService for the current session

    - #### getRepositoryService

          public static RepositoryService getRepositoryService()

      Gets the RepositoryService to access using the current session
      Returns:
        the RepositoryService for the current session

    - #### getRoleService

          public static RoleService getRoleService()

      Gets the RoleService to access using the current session
      Returns:
        the RoleService for the current session

    - #### getScopedPrivilegeService

          public static ScopedPrivilegeService getScopedPrivilegeService()

      Gets the ScopedPrivilegeService to access using the current session
      Returns:
        the ScopedPrivilegeService for the current session

    - #### getTypeService

          public static TypeService getTypeService()

      Gets the TypeService to access using the current session
      Returns:
        the TypeService for the current session

    - #### getUserService

          public static UserService getUserService()

      Gets the UserService to access using the current session
      Returns:
        the UserService for the current session

    - #### getWorkspaceService

          public static WorkspaceService getWorkspaceService()

      Gets the WorkspaceService to access using the current session
      Returns:
        the WorkspaceService for the current session

    - #### getSharedWorkspaceService

          public static SharedWorkspaceService getSharedWorkspaceService()

      Gets the SharedWorkspaceService to access using the current session
      Returns:
        the SharedWorkspaceService for the current session

    - #### getAclService

          public static AclService getAclService()

      Gets the AclService to access using the current session
      Returns:
        the AclService for the current session

    - #### getBatchWorkspaceService

          public static BatchWorkspaceService getBatchWorkspaceService()

      Gets the BatchWorkspaceService to access using the current session
      Returns:
        the BatchWorkspaceService for the current session

    - #### getBatchRepositoryService

          public static BatchRepositoryService getBatchRepositoryService()

      Gets the BatchRepositoryService to access using the current session
      Returns:
        the BatchRepositoryService for the current session

    - #### getSignatureService

          public static SignatureService getSignatureService()

      Gets the SignatureService to access using the current session
      Returns:
        the SignatureService for the current session

    - #### getRecycleBinService

          public static RecycleBinService getRecycleBinService()

      Gets the RecycleBinService to access using the current session
      Returns:
        the RecycleBinService for the current session

    - #### getJobService

          public static JobService getJobService()

      Gets the JobService to access using the current session
      Returns:
        the JobService for the current session

    - #### getJobSubmissionService

          public static JobSubmissionService getJobSubmissionService()

      Gets the JobSubmissionService to access using the current session
      Returns:
        the JobSubmissionService for the current session

    - #### getProcessFlowService

          public static ProcessFlowService getProcessFlowService()

      Gets the ProcessFlowService to access using the current session
      Returns:
        the ProcessFlowService for the current session

    - #### getProcessDefinitionService

          public static ProcessDefinitionService getProcessDefinitionService()

      Gets the ProcessFlowService to access using the current session
      Returns:
        the ProcessFlowService for the current session

    - #### getProcessFlowSetupService

          public static ProcessFlowSetupService getProcessFlowSetupService()

      Gets the ProcessFlowSetupService to access using the current session
      Returns:
        the ProcessFlowSetupService for the current session

    - #### getTaskService

          public static TaskService getTaskService()

      Gets the TaskService to access using the current session
      Returns:
        the TaskService for the current session

    - #### getSessionService

          public static SessionService getSessionService()

      Gets the SessionService to access using the current session
      Returns:
        the SessionService for the current session

    - #### getSubscriptionService

          public static SubscriptionService getSubscriptionService()

      Gets the SubscriptionService to access using the current session
      Returns:
        the SubscriptionService for the current session

    - #### getScheduleService

          public static ScheduleService getScheduleService()

      Gets the SubscriptionService to access using the current session
      Returns:
        the SubscriptionService for the current session

    - #### getStandardsService

          public static StandardsService getStandardsService()

      Gets the StandardsService to access using the current session
      Returns:
        the StandardsService for the current session

    - #### getStudyService

          public static StudyService getStudyService()

      Gets the StudyService to access using the current session
      Returns:
        the StudyService for the current session

    - #### getModelService

          public static ModelService getModelService()

      Gets the ModelService to access using the current session
      Returns:
        the ModelService for the current session

    - #### getDictionaryService

          public static DictionaryService getDictionaryService()

      Gets the DictionaryService to access using the current session
      Returns:
        the DictionaryService for the current session

    - #### getExternalDictionaryService

          public static ExternalDictionaryService getExternalDictionaryService()

      Gets the ExternalDictionaryService to access using the current session
      Returns:
        the ExternalDictionaryService for the current session

    - #### getAuditQueryService

          public static AuditQueryService getAuditQueryService()

      Gets the AuditQueryService to access using the current session
      Returns:
        the AuditQueryService for the current session

    - #### getRepositoryQueryService

          public static RepositoryQueryService getRepositoryQueryService()

      Gets the RepositoryQueryService to access using the current session
      Returns:
        the RepositoryQueryService for the current session

    - #### getRecycleBinQueryService

          public static RecycleBinQueryService getRecycleBinQueryService()

      Gets the RecycleBinQueryService to access using the current session
      Returns:
        the RecycleBinQueryService for the current session

    - #### getMembershipQueryService

          public static ContextMembershipQueryService getMembershipQueryService()

      Gets the MembershipQueryService to access using the current session
      Returns:
        the MembershipQueryService for the current session

    - #### getPermissionsQueryService

          public static PermissionsQueryService getPermissionsQueryService()

      Gets the PermissionsQueryService to access using the current session
      Returns:
        the MembershipQueryService for the current session

    - #### getAutoFlowService

          public static AutoFlowService getAutoFlowService()

      Gets the AutoFlowService to access using the current session
      Returns:
        the AutoFlowService for the current session

    - #### getStudyTlfService

          public static StudyTlfService getStudyTlfService()

      Gets the StudyTlfService to access using the current session
      Returns:
        the StudyTlfService for the current session

    - #### getResourceUtilizationService

          public static ResourceUtilizationService getResourceUtilizationService()

      Gets the ResourceUtilizationService to access using the current session
      Returns:
        the ResourceUtilizationService for the current session

    - #### getTlfTemplateService

          public static TlfTemplateService getTlfTemplateService()

      Gets the TlfTemplateService to access using the current session
      Returns:
        the TlfTemplateService for the current session